#!/bin/bash
cd ${0%/*} || exit 1

mkdir work/wing_btm_curve
cp -r ../Ex2/results/btm_bulk    work/wing_btm_curve/
cp -r ../Ex2/results/top_shaft   work/wing_btm_curve/
cp -r ../Ex2/results/out         work/wing_btm_curve/
cp -r ../Ex3/results/wing_btm_curve work/wing_btm_curve/master
cp -r org_curve                     work/wing_btm_curve/master_curve
cd work/wing_btm_curve

cp -r master/constant/polyMesh master_curve/constant/
moveDynamicMesh -case master_curve
cp master_curve/1/polyMesh/points master/constant/polyMesh/

mergeMeshes master out -overwrite 
stitchMesh -case master -overwrite wall_minx wall_maxx

cp ../../dicts/createPatchDict master/system/
createPatch -case master -overwrite

cp -r master ../../results/wing_btm
